---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterheap004.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x41D0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x513A0, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x532E0, symBinAddr: 0xE150, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x536D0, symBinAddr: 0xE540, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54670, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54680, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50FD0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50FD4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50FD8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51130, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x511E8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x511EC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x511F0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x511F4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x511F8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51200, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51210, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51218, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51220, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51228, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51230, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51238, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL15objectDescCount, symObjAddr: 0x51280, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94F0, offset: 0x94F0, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51288, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9509, offset: 0x9509, size: 0x8, addend: 0x0, symName: __ZL15callbackAborted, symObjAddr: 0x51290, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9522, offset: 0x9522, size: 0x8, addend: 0x0, symName: __ZL14objectDescList, symObjAddr: 0x51298, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x956B, offset: 0x956B, size: 0x8, addend: 0x0, symName: __ZL13objectDescArr, symObjAddr: 0x512A0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9589, offset: 0x9589, size: 0x8, addend: 0x0, symName: __ZL43numberOfDeallocatedFromCallbacksDescriptors, symObjAddr: 0x512A8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x95A2, offset: 0x95A2, size: 0x8, addend: 0x0, symName: __ZL19deallocatedFlagsArr, symObjAddr: 0x512B0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x95BB, offset: 0x95BB, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x512B8, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x95D4, offset: 0x95D4, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x512C0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x9626, offset: 0x9626, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2E70, symSize: 0x80 }
  - { offsetInCU: 0x96BB, offset: 0x96BB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2DC0, symSize: 0xB0 }
  - { offsetInCU: 0x9716, offset: 0x9716, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2CC0, symSize: 0x100 }
  - { offsetInCU: 0x99A9, offset: 0x99A9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2EF0, symSize: 0xC0 }
  - { offsetInCU: 0x99FB, offset: 0x99FB, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2FB0, symSize: 0x220 }
  - { offsetInCU: 0x9BE0, offset: 0x9BE0, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x31D0, symSize: 0xA0 }
  - { offsetInCU: 0x9C93, offset: 0x9C93, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3270, symSize: 0x110 }
  - { offsetInCU: 0x9D89, offset: 0x9D89, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3380, symSize: 0x150 }
  - { offsetInCU: 0x9EE6, offset: 0x9EE6, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x34D0, symSize: 0x30 }
  - { offsetInCU: 0x9F8F, offset: 0x9F8F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3500, symSize: 0x150 }
  - { offsetInCU: 0xA187, offset: 0xA187, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3650, symSize: 0x160 }
  - { offsetInCU: 0xA447, offset: 0xA447, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x37B0, symSize: 0x4A0 }
  - { offsetInCU: 0xA6BA, offset: 0xA6BA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3C50, symSize: 0x1B0 }
  - { offsetInCU: 0xA8D5, offset: 0xA8D5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3E00, symSize: 0xA0 }
  - { offsetInCU: 0xA9D0, offset: 0xA9D0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3EA0, symSize: 0x20 }
  - { offsetInCU: 0xAA07, offset: 0xAA07, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3EC0, symSize: 0x20 }
  - { offsetInCU: 0xAA3E, offset: 0xAA3E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3EE0, symSize: 0x20 }
  - { offsetInCU: 0xABAD, offset: 0xABAD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3F00, symSize: 0x1A0 }
  - { offsetInCU: 0xAEC9, offset: 0xAEC9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x40A0, symSize: 0x130 }
  - { offsetInCU: 0xB079, offset: 0xB079, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4440, symSize: 0x1B0 }
  - { offsetInCU: 0xB368, offset: 0xB368, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x45F0, symSize: 0x80 }
  - { offsetInCU: 0xB431, offset: 0xB431, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4670, symSize: 0x6A0 }
  - { offsetInCU: 0xBFC6, offset: 0xBFC6, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6E0, symBinAddr: 0x5EE0, symSize: 0xB0 }
  - { offsetInCU: 0xC03D, offset: 0xC03D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4D10, symSize: 0x70 }
  - { offsetInCU: 0xC0F9, offset: 0xC0F9, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4D80, symSize: 0xA0 }
  - { offsetInCU: 0xC1F8, offset: 0xC1F8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4E20, symSize: 0x40 }
  - { offsetInCU: 0xC2EE, offset: 0xC2EE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4E60, symSize: 0x2B0 }
  - { offsetInCU: 0xC694, offset: 0xC694, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5110, symSize: 0xC0 }
  - { offsetInCU: 0xC7DA, offset: 0xC7DA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x51D0, symSize: 0x10 }
  - { offsetInCU: 0xC89C, offset: 0xC89C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x51E0, symSize: 0x220 }
  - { offsetInCU: 0xCB99, offset: 0xCB99, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5400, symSize: 0x10 }
  - { offsetInCU: 0xCBF6, offset: 0xCBF6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5410, symSize: 0x280 }
  - { offsetInCU: 0xCECF, offset: 0xCECF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x5690, symSize: 0x10 }
  - { offsetInCU: 0xCF2C, offset: 0xCF2C, size: 0x8, addend: 0x0, symName: _heapObjectCallbackForFirstIteration, symObjAddr: 0x9EA0, symBinAddr: 0x56A0, symSize: 0xF0 }
  - { offsetInCU: 0xD044, offset: 0xD044, size: 0x8, addend: 0x0, symName: _heapObjectCallbackForSecondIteration, symObjAddr: 0x9F90, symBinAddr: 0x5790, symSize: 0x130 }
  - { offsetInCU: 0xD197, offset: 0xD197, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0C0, symBinAddr: 0x58C0, symSize: 0x620 }
  - { offsetInCU: 0xD852, offset: 0xD852, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA790, symBinAddr: 0x5F90, symSize: 0x36A }
...
